Subject: bug#35352: [External] : Re: bug#35352: 26.2; Xref: (1) no activity indication, (2) no other-window opening

From: Drew Adams <[email-masked]>
Date: Thu, 22 Jul 2021 15:13:39 +0000

> >>> But...  on the other hand, perhaps a standard set of commands (and
> >>> keystrokes) for these "follow this 'link'" modes would be nice?  Anybody
> >>> got an opinion here?
> >>
> >> https://urldefense.com/v3/__https://elpa.gnu.org/packages/other-frame-
> window.html__;!!ACWV5N9M2RV99hQ!ZlCeUkIklYNOveRY6ugZ4ggHQ5GxNlrOzfhQlkK0u4FNb
> Goamg7I5Np4twlAb__9$  ?
> >
> > Ah, nice.  There's still the question of whether Emacs should have
> > (something like) this built-in, but I'm leaning towards "no"...

Whether nice or not, that's irrelevant to this bug
report, IMO.  Sure, it talks about using another
window - that's all.

> And nobody had an opinion here in a month, so 
> I'm closing this bug report.

Opinion about `other-frame-window'?  Not related.

Was the case of a dedicated window for the *xref*
buffer tested?  That's a case I reported about.

> Well, it depends on the mode.  For instance, I don't
> think `M-x grep' has any command to open in a new
> window/frame, and I don't think we want to add all
> those commands to all these modes because users want
> so many different combinations here that it's best
> left to the general buffer/window selection machinery.

You mentioned *grep* as being the _same_ as *xref*.
I wish *xref* _did_ behave like *grep.  The problem
is that it doesn't.

As I said in my report, I use dedicated windows for
buffers whose names start and end with `*'.  E.g.,

 (setq special-display-regexps '("[ ]?[*][^*]+[*]"))

*xref* should be the same case as *grep*, but it's
not.  The bug was reported for *xref*.

With grep, `RET' or `mouse-2' on a search hit invokes
`compile-goto-error', which does `next-error-internal',
which DTRT - it opens the search-hit buffer in a
window other than that of the Dired buffer.

That's the point of the bug report - a request to make
*xref* behave properly, like *grep* does, when choosing
a search hit.

If this was fixed, great; thanks.  If not, then I guess
this is just another "won't fix".